Name: **`Amara T`[NAME]** -NL- E-mail: **`thandai.amar@gmail.com`[EMAILS_EMAIL]** -NL- Mobile No: +91 – 9071344500. -NL- Expertise: JAVA/J2EE -NL- **`Professional Summary:`[SUMMARY_HEADING]** -NL-  Having 4 Years of IT experience which includes development, maintaining applications -NL- using Java/J2EE technologies and functional testing. -NL-  Experience in developing Web applications using all J2EE related technologies like Servlets, JSP, -NL- Spring, Hibernate,Restfull Web Services. -NL-  Experience with development process using HTML, CSS, Java Script. -NL-  Experience with MVC based frame works Struts. -NL-  Experience with Spring Frame Work including Spring MVC -NL-  Experience working with Hibernate for Object relational mapping and data persistence. -NL-  Experience using SQL on data base (RDBMS) packages like Oracle . -NL-  Good working knowledge in extreme programming tools like Log4j and JUnit. -NL-  Experience with the Integrated Development Environments like Eclipse. -NL-  Experience on Tomcat. -NL-  Good experience on J2EE design pattern such as Singleton,DataAccessObjet,Data TransferObjects, -NL- Business Delegate, MVC (Model View Controller) architecture. -NL-  Hands on experience with control tools like CVS. -NL-  Self-motivated, active and initiative with keen interest in learning and an excellent team player. -NL- **`Summary of Work Experience:`[WORK_EXPERIENCE_HEADING]** -NL-  Working as Senior **`Software Engineer`[EMPLOYER_ROLE]** for **`IBM India Pvt Ltd`[EMPLOYER_COMPANY_NAME]**. Bangalore from Apr 2015 to till date. -NL-  Worked as **`Software Engineer`[EMPLOYER_ROLE]** for I.B.S Software Pvt. Ltd Bangalore from Jun 2012 to Apr 2015 -NL- **`Educational Qualification:`[EDUCATION_HEADING]** -NL-  **`MCA`[EDUCATION_DEGREE]** from **`JNTUniversity(Anantapur)`[EDUCATION_INSTITUTE]** during 2006-2009 -NL- **`Technical Skills & Tools`[SKILLS_HEADING]** -NL-  Programming Languages : Java/J2EE -NL-  J2EE Technologies : Servlets , JSP -NL-  Web technologies : Java Script, Ajax and HTML -NL-  Database : Oracle ,DB2 -NL-  Framework : Struts , Hibernante,Spring and Restfull WebServices. -NL-  Web Server : Tomcat . -NL-  IDE tools : Eclipse,STS. -NL-  Version Control : CVS -NL- Projects : -NL- **`TvC`[PROJECT_COMPANY_NAME]** -NL- Project : **`GTS TvC `[PROJECT_TITLE]**-NL- Role : **`Senior Software Engineer `[EMPLOYER_ROLE]**-NL- Description: -NL- GTS **`TvC`[PROJECT_COMPANY_NAME]** is an application that enables an employee to record the activities they have been working -NL- on throughout their working day. This data can be used to provide detailed analysis and reports on areas of -NL- focus to assist IBM in improving their operations. -NL- GTS **`TvC`[PROJECT_COMPANY_NAME]** Tool records the cumulative time spent on an activity across any number of sessions, as -NL- well as the initial start and the completion times. Just knowing when an activity started and was completed is -NL- insufficient, as many activities are interrupted or simply cannot be completed in one continuous session. -NL- Responsibilities: -NL-  Implements(Coding) using Spring with Annotations based -NL-  Involved in developing the Web layer and integrating with the business logic. -NL-  Involved in developing DAO layer and implements with Hibernate. -NL-  Configured for build dependency jars and JUNIT configurations. -NL-  Implemented JAVA/J2EE design patterns such as DAO, Singleton and Value object -NL-  Worked on creating Restful services -NL-  Designed and Developed the GUI/Presentation layer using HTML, CSS, JavaScript, Ajax. -NL-  Installed, Configured and administered Tomcat Web Server. -NL- Environment : Java, Apache Tomcat Web Server, Hibernate, Spring, Swing, HTML, Ajax, JQuery, -NL- Java Script, CSS, Design patterns, Web Services, DB2. -NL- Team Size : 8 -NL- **`Travel`[PROJECT_COMPANY_NAME]** -NL- Project : **`iFly Res - IBE(internet booking Engine)`[PROJECT_TITLE]** -NL- Role : **`Software Engineer`[EMPLOYER_ROLE]** -NL- Description: -NL- IFlyRes-IBE is an IBS solution for an Airline reservation System. It provides the entire functionality -NL- to book Airline tickets through the Internet. iFly Res allows airlines to maintain a primary low-cost ticketless -NL- business model with direct sales/distribution, while simultaneously enabling IATA standard e-ticketing, -NL- supporting code sharing, interlining and conventional GDS connected travel agency sales distribution. With a -NL- true customer centric approach with a mega customer record repository at its core, the system integrates -NL- data and information from social media, enabling powerful self-service options while linking PSS and loyalty. -NL- It contains the sub modules booking, modify the booking, agent as sub flows. iFly Res -NL- comprehensively addresses all the key functions including passenger reservations, schedules and flight -NL- control, inventory control, fares and ticketing and departure control. -NL- Responsibilities: -NL-  Involving in Code development using Struts frameworks. -NL-  Involved in developing the Web layer and integrating with the business logic. -NL-  Involved in developing validations using JavaScript at Client side and using Validation Framework at -NL- server side. -NL-  Involved in developing DAO layer and implements with Hibernate. -NL-  Implemented JAVA/J2EE design patterns such as DAO, Singleton and Value object. -NL- Environment : java,J2EE JSP, Struts, Hibernate, Oracle 10g -NL- Team Size : 10 -NL- **`Travel`[PROJECT_COMPANY_NAME]** -NL- Project : iFlight Crew -NL- Role : Developer -NL- Description: -NL- IFlight Crew manages crew operations on the day of operation, minimizing the impact of flight and crew -NL- disruptions and enabling optimal crew productivity. The product allows real time simulation of user actions to -NL- evaluate the current and future impact of alternative solutions, prior to publication. The system integrates -NL- with external systems such as Flight Operation Systems, Crew Check In/Out Systems and Crew Roistering -NL- Systems. -NL- Responsibilities: -NL-  Involved in developing the Web layer and integrating with the business logic. -NL-  Involving in Code development using Struts frameworks. -NL-  Involving in development of Persistence logic using Hibernate. -NL-  Involved in developing validations using JavaScript at Client side and using Validation Framework at -NL- server side. -NL-  Involved in developing DAO layer and implements Hibernate Annotations based. -NL-  Developing jsp based forms using struts tag libraries. -NL-  Implemented JAVA/J2EE design patterns such as DAO, Singleton and Value object. -NL-  Involved in Unit Testing. -NL- Environment : java,J2EE JSP, Struts, Hibernate, Oracle 10g -NL- Team Size : 8 -NL- 